# Update a mailing list member

Updates a mailing list member with the given properties. Existing properties not included in the request will not be changed.

Endpoint: PUT /v3/lists/{list_address}/members/{member_address}
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `list_address` (string, required)
    The mailing list's address

  - `member_address` (string, required)
    The member's address

## Request fields (multipart/form-data):

  - `address` (string)
    A valid email address specification.

  - `name` (string)
    An optional member name.

  - `vars` (object)
    JSON-encoded dictionary string with arbitrary parameters.

  - `subscribed` (boolean)
    Set the member to subscribed or not. Defaults to True.

## Response 200 fields (application/json):

  - `member` (object)

  - `member.address` (string)
    The email address of the mailing list

  - `member.name` (string)
    The name of the mailing list

  - `member.vars` (object)
    A JSON-encoded dictionary string with arbitrary parameters, e.g. {"gender":"female","age":27}

  - `member.subscribed` (boolean)
    Whether the member is subscribed or not

  - `message` (string)
    Success message

## Response 429 fields (application/json):

  - `message` (string)
    Error message


